---
date: 2020-11-09
id: 4b3fb85d-5dae-4437-bd49-126282334c36
title: PHP
---

# Language

-   [Expressions](20201113121741-php_expressions)
-   [Functions](20201113122801-php_functions)
-   [Objects](20201113123224-php_objects)
-   [Types](20201113122505-php_types)

## Operators

-   [Nullsafe Operator](20201110100120-php_nullsafe_operator)

## Attributes

-   [Attributes](20201110100420-php_attributes)

## Classes

### Constructors

-   [Constructor Property
    Promotion](20201110101308-php_constructor_property_promotion)

## Return types

-   [Static Return Type](20201110102332-php_static_return_type)

## Literals

-   [Class Name Literal](20201110102900-php_class_name_literal)

## Interfaces

-   [Stringable Interface](20201110103409-php_stringable_interface)

## Maps

-   [Weap Maps](20201110103654-php_weak_maps)

## Errors

-   [Throw Expression](20201111100807-php_throw_expression)
-   [PHP Non-capturing
    Catches](20201111101148-php_non_capturing_catches)

## Parameters

-   [Named Arguments](20201112111910-named_arguments)
-   [Trailing Comma in Parameter
    Lists](20201112113236-trailing_comma_in_parameter_lists)

# Frameworks

-   [Symfony](20201109140300-symfony)

# ORM

-   [Doctrine](20201112131845-doctrine)

# Changelog

-   [PHP 8.0](20201109133834-php_8_0)

# Handy libraries

-   ramsey/uuid[^1]

# Footnotes

[^1]: <https://github.com/ramsey/uuid>
